Name:           gpars
Version:        1.2.1
Release:        2%{?dist}
Summary:        Groovy Parallel Systems
License:        ASL 2.0 and Public Domain
URL:            http://gpars.codehaus.org
BuildArch:      noarch

# ./generate-tarball.sh %{version}
Source0:        %{name}-%{version}.tar.bz2
Source1:        http://www.apache.org/licenses/LICENSE-2.0.txt
Source2:        generate-tarball.sh

Patch0:         0001-JSR-166.patch
Patch1:         0002-Enable-XMvn-local-mode.patch

BuildRequires:  gradle-local >= 2.1-0.10
BuildRequires:  apache-parent
BuildRequires:  extra166y
BuildRequires:  jcsp
BuildRequires:  netty3
BuildRequires:  groovy-lib
BuildRequires:  multiverse

%description
The GPars framework offers Java developers intuitive and safe ways to
handle Java or Groovy tasks concurrently. Leveraging the enormous
flexibility of the Groovy programming language and building on proven
Java technologies, we aim to make concurrent programming for
multi-core hardware intuitive, robust and enjoyable.

GPars is a multi-paradigm concurrency framework, offering several
mutually cooperating high-level concurrency abstractions, such as
Dataflow operators, Promises, CSP, Actors, Asynchronous Functions,
Agents and Parallel Collections.

%prep
%setup -q
cp %{SOURCE1} .
rm -rf lib/ gradle/wrapper/
rm -rf src/main/groovy/groovyx/gpars/extra166y/
%patch0 -p1
%patch1 -p1

%build
gradle -s install --offline

repo=$HOME/.m2/repository
pom=$repo/org/codehaus/gpars/gpars/%{version}/gpars-%{version}.pom
jar=$repo/org/codehaus/gpars/gpars/%{version}/gpars-%{version}.jar
%mvn_artifact $pom $jar

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%dir %{_mavenpomdir}/%{name}
%doc LICENSE-2.0.txt
%doc README.md

%changelog
* Mon Feb  2 2015 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.2.1-2
- Use generic netty3 compat version
- Resolves: rhbz#1187710

* Wed Nov 19 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.2.1-1
- Non-bootstrap build

* Wed Nov 19 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.2.1-0.8
- Bootstrap build using prebuilt binaries

* Mon Nov 17 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.2.1-0.7
- Include generate-tarball.sh as a source

* Mon Nov 17 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.2.1-0.6
- Remove gradle-wrapper bundled JAR
- Fix spelling error
- Fix ownership of created directories
- Unbuldle extra166y
- Remove non-free content from source tarball

* Sun Nov  9 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.2.1-0.5
- Add BR on apache-parent

* Sun Nov  9 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.2.1-0.4
- Use XMvn resolver factory method

* Sun Nov  9 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.2.1-0.3
- Install Apache License text

* Sun Nov  9 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.2.1-0.2
- Install generated POM instead of prebuilt one

* Tue Nov  4 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.2.1-0.1
- Initial packaging
